Subject: bug#76620: 30.1.50; mouse-1 mode-line bindings are unusable when point is on a button

From: Stefan Monnier <[email-masked]>
Date: Sun, 09 Mar 2025 18:25:24 -0400

>> FWIW, I've used code which used the same text (with buttons) in
>> the header-line and in the buffer.  But yeah, that was more an
>> experiment than anything.  I don't think I still use such code.
>> So, it's a "nice to have" but not if it breaks something else.
>
> So, on balance, you think we should revert commit
> 24fc9480399b2d018e8d85f34e9c5d8c327ce3bf?

I haven't looked at the problem closely enough to have an opinion, sorry.

        Stefan